parallax_camera = camera:new(
{

	draw_data={}		--stores function and scale
	
})
parallax_camera.__index = parallax_camera



function parallax_camera:new(variables)

	local variables=variables or {}
	variables.draw_data=variables.draw_data or {}
	local self=setmetatable(variables,self)
	return self

end



function parallax_camera:add(func,scale)

	table.insert(self.draw_data,{draw=func,scale=scale})
	table.sort(self.draw_data,function(a,b) return a<b end)

end



function parallax_camera:draw()

	local realx,realy=self.x,self.y
	for _,v in pairs(draw_data) do
	
		self.x=self.x*v.scale
		self.y=self.y*v.scale
		
		self:set()
		v.draw()
		self:unset()
		
		self.x=realx
		self.y=realy
	
	end

end



function parallax_camera.drawBackground()

	

end



function parallax_camera.drawForeground()

end