function love.update(dt)

	---------------------------
	--Adjust FPS handling--
	---------------------------
	
	dt=math.min(dt,1/5)
	
	
	---------------
	--Get input--
	---------------
	
	for k,v in pairs(controls) do			--set all controls to true or false
	
		if love.keyboard.isDown(k) then controls_active[k]=true
		else controls_active[k]=false end
	
	end
	
	mouse.x, mouse.y=love.mouse.getPosition()       --set mouse.x and y to actual mouse x and y coords
	
	
	---------------------
	--Game Updates--
	---------------------

	SDRelX=love.graphics.getWidth()/10	--for displaying; Screen Display Relative X and Y
	SDRelY=love.graphics.getHeight()/10
	
	
	---------
	--Test--
	---------
	
	if controls_active.pause==false then
	
		for i=1,DEBUG_ehandler:getAmount(),1 do		--store all oldx and oldy positions
		
			DEBUG_ehandler._entities[i]._oldx=DEBUG_ehandler._entities[i].x
			DEBUG_ehandler._entities[i]._oldy=DEBUG_ehandler._entities[i].y
			
		end
		
		player._oldx=player.x 
		player._oldy=player.y
	
		for k=1,2,1 do
			
			local axis='X'							--run  the X Axis first, and then the Y Axis
			if k==2 then axis='Y' end

			player:runScript("update",dt,axis)						--update the player first
			DEBUG_ehandler:runScript("update",dt,axis)
		
			--check if there is a collision, and if so run collision scripts {CURRENT VERSION IS TEMPORARY}
			for i=1,DEBUG_ehandler:getAmount()+1,1 do			
			
				for v=1,DEBUG_ehandler:getAmount(),1 do
				
					if i==1 then if player:checkCollision(DEBUG_ehandler._entities[v]) then
					
						local collision_data={			--used for telling the properties of the collision
						
							fixedCollision=false,									--tells whether or not the collision has been fixed
							collided_obj=DEBUG_ehandler._entities[v]			--the entity collided with
						
						}
						player:runScript("collision",collision_data,axis)
						
						collision_data.fixedCollision=true
						collision_data.collided_obj=player
						
						DEBUG_ehandler._entities[v]:runScript("collision",collision_data,axis) end
					
					elseif i-1~=v then if DEBUG_ehandler._entities[i-1]:checkCollision(DEBUG_ehandler._entities[v]) then
					
						local collision_data={			--used for telling the properties of the collision
						
							fixedCollision=false,									--tells whether or not the collision has been fixed
							collided_obj=DEBUG_ehandler._entities[v]			--the entity collided with
						
						}
						DEBUG_ehandler._entities[i-1]:runScript("collision",collision_data,axis)
						
						collision_data.fixedCollision=true
						collision_data.collided_obj=DEBUG_ehandler._entities[i-1]
						
						DEBUG_ehandler._entities[v]:runScript("collision",collision_data,axis) end
						
					end
					
				end
				
			end
			
		end
		
	end
	
end
	