function ret()

	local class=entity_class:new({
	
		spritesheet=nil,
		sprite_quads={createRectangle(0,0,15,23)},
		collision_rect=createRectangle(0,0,15,23),
		--behaviour=love.filesystem.load("temporary/temp_behaviour_test.lua"),
		script={
		create=create,
		update=update,
		collision=collide,
		draw=draw,
		destroy=destroy}
	
	})
	
	return class

end



function create(self)

	self.z=0
	self.g=0
	self.b=0

end



function update(self,dt,axis)

	--print("Entity with ID " .. self.id .. " says hi!")
	--print("X: " .. self.x .. "      Y: " .. self.y)
	--print("Z: " .. type(self.z))
	self.x=self.x+100*dt
	self.y=self.y+50*dt
	self.z=self.z+10*dt
	if self.x>640 then self.x=0 end
	if self.y>400 then self.y=0 end
	if self.z>16 then
	
		self.z=1
		if self.g>254 then self.b=self.b+25 self.g=255
		elseif self.b<255 then self.g=self.g+25
		else self.b=255 end
		
	end

end



function collide(self,other_entity)

	

end



function draw(self,layer)

	print("Entity with ID " .. self.id .. " draws hi!")
	love.graphics.setColor(255,255,255,255)
	love.graphics.print("("  .. self.id .. ")",self.x-10,self.y-25)
	love.graphics.setColor(255,self.g,self.b,255)
	love.graphics.circle("fill",self.x,self.y,self.z,self.z*2.5)

end



function destroy(self)

	self.z=nil
	self.g=nil
	self.b=nil
	--print("Entity with ID " .. self.id .. " destroyed!")

end



return ret()