world =
{

	entities=entity_handler:new(),
	collision=nil,
	quad_trees={}				--stores multiple quad_trees
	
}
world.__index = world



function world:new(variables)

	variables=variables or {}
	local self=setmetatable(variables,self)
	return self

end



function world:draw()

	self.entity_handler:runScript("draw")

end



function world:update(dt)

	self.entity_handler:runFunction(function (entity)
	
		entity._oldx=entity.x
		entity._oldy=entity.y
		
	end)
	self.entity_handler:runScript("update",dt)

end