require "entities/player_main_scripts"

function ret()

	retclass=entity_class:new({
	
		spritesheet={},
		script={
		
			create=Mcreate,
			update=Mupdate,
			collision=Mcollision,
			draw=Mdraw,
			destroy=Mdestroy
		
		},
		
		--Custom variables
		scriptList={},
	
	})
	retclass:createCollisionRect(1,{createRectangle(0,0,16,16)})

	return retclass

end



function create(self)

	for i=1,table.getn(scriptList),1 do
	
		if self.class.scriptList[i].create~=nil then pcall(self.class.scriptList[i].create) end
	
	end

end



function update(self,dt,axis)

	for i=1,table.getn(scriptList),1 do
	
		if self.class.scriptList[i].update~=nil then pcall(self.class.scriptList[i].update) end
	
	end

end



function collision(self,other_obj,axis)

	for i=1,table.getn(scriptList),1 do
	
		if self.class.scriptList[i].collision~=nil then pcall(self.class.scriptList[i].collision) end
	
	end

end



function draw(self,layer)

	for i=1,table.getn(scriptList),1 do
	
		if self.class.scriptList[i].draw~=nil then pcall(self.class.scriptList[i].draw) end
	
	end

end



function destroy(self)

	for i=1,table.getn(scriptList,destroy_type),1 do
	
		if self.class.scriptList[i].destroy~=nil then pcall(self.class.scriptList[i].destroy,destroy_type) end
	
	end

end



return ret()