function Mcreate(self)

	self.move_speed=150		--used for moving left and right
	self.accel=25					--used for building up move_speed
	self.max_speed=50
	self.gravity=5
	self.jump_gravity=10			--used for jumping
	self.current_collision=1

end



function Mupdate(self,dt,axis)

	if axis=='X' then

		if love.keyboard.isDown("right") and love.keyboard.isDown("left")==false then self.x=self.x+self.move_speed*dt
		elseif love.keyboard.isDown("left") and love.keyboard.isDown("right")==false then self.x=self.x-self.move_speed*dt end
		if self.x>game_width then self.x=0 print("PLAYER PASSED SCREEN")
		elseif self.x<0 then self.x=game_width end
		
	else
	
		if love.keyboard.isDown("up") and love.keyboard.isDown("down")==false then self.y=self.y-self.move_speed/2*dt
		elseif love.keyboard.isDown("down") and love.keyboard.isDown("up")==false then self.y=self.y+self.move_speed/2*dt end
		if self.y>game_height then self.y=0
		elseif self.y<0 then self.y=game_height end
	
	end

end



function Mcollision(self,collision_data,axis)

	handleCollision(self,collision_data,axis)

end



function Mdraw(self,layer)
	
	love.graphics.setColor(0,0,255,255)
	love.graphics.setLineStyle("rough")
	drawCollisionRect(self,self.current_collision,"fill")
	love.graphics.setColor(255,255,255,255)

end



function Mdestroy(self,destroy_type)

	if destroy_type=="entity" then
	
		self.move_speed=nil
		self.accel=nil
		self.max_speed=nil
		self.gravity=nil
		self,jump_gravity=nil
	
	end

end

retscripts={

	create=Mcreate,
	update=Mupdate,
	collision=Mcollision,
	draw=Mdraw,
	destroy=Mdestroy

}

return retscripts