return gamestate:new({title="",amount=nil,toLoad=nil,current_num=0,nextState=nil,ns_initArgs=nil,				--amount is the amount of objects to load



init=function (self,args)					--INIT gamestate uses a table for what to load (toLoad); nextState fo the next state to load

	args=args or {}
	self.current_num=1
	self.toLoad=args.toLoad or self.toLoad or {}
	self.amount=table.getn(self.toLoad)

end,



draw=function (self)

	--love.graphics.printf(title,game.width/2,(game.height/2)-20,love.graphics.getFont():getWidth(title),"center")
	--love.graphics.printf(self.current_num .. "/" .. self.amount,game.width/2,(game.height/2)+20,love.graphics.getFont():getWidth(self.current_num .. "/" .. self.amount,game.width),"center")

end,



update=function (self)				--can load tables within tables

	if self.current_num <= self.amount then
	
		local err=nil			--the actual error
		local success=nil		--whether or not the function could be properly ran
		--_print("V:" .. tostring(self.toLoad[self.current_num]))
		success,err=pcall(self.toLoad[self.current_num])
		if success==false then print(tostring(self.toLoad) .. " (gamestate) var #" .. self.current_num .. " was unable to properly execute!\n	ERROR: " .. tostring(err)) end				--error occurred, print message
		self.toLoad[self.current_num]=nil								--destroy the  variable
		
		_print(self.current_num .. " / " .. self.amount)
		self.current_num=self.current_num+1
		return false						--still not finished loading
		
	else			--finished loading
	
		return true
	
	end

end,



exit=function (self)

	self.title=""
	self.current_num=0
	self.amount=0
	self.toLoad=nil

end
})