return gamestate:new({current_menu=1, allMenus=game.allMenus, menuUpdates=game.menuUpdates, menuDraws=game.menuDraws, controlling_player=1,
--NOT FINISHED!!!!!!!!!!!!!!!!!!!!!!--


init= function (self,args)

	self.mouse_enabled=args.mouse_enabled or self.mouse_enabled or true
	self.controlling_player=args.controlling_player or self.controlling_player or 1
	self.current_menu=args.current_menu or self.current_menu or 1
	self.allMenus=args.allMenus or self.allMenus or {}			--stores multiple menu classes
	self.menuUpdates=args.menuUpdates or self.menuUpdates or {}		--stores functions
	self.menuDraws=args.menuDraws or self.menuDraws or {}				--stores functions
	self.mouse_time=args.mouse_time or self.mouse_time or 3000			--time needed before mouse is disabled; 3 seconds by default
	
	self.mouse_oldx=0
	self.mouse_oldy=0
	self.disable_mtime=0
	self.current_selection=1
	self.old_menu=self.current_menu			--used to reset current_selection if the menu has been changed
	for k,v in pairs(self.allMenus) do			--sort all menus
	
		self.allMenus[k]:sort()
	
	end
	game.current_camera=game.menu_camera

end,



draw= function (self)

	self.menuDraws[self.current_menu](self,self.allMenus[self.current_menu])
	love.graphics.print(self.current_selection,400,20)

end,



update= function (self,dt)

	local ix=nil
	local iy=nil
	local mouse_x,mouse_y=love.mouse.getPosition()
	local input=false
	
	if self.old_menu~=self.current_menu then self.current_selection=1 end
	
	if self.mouse_enabled==true then
	
		if self.disable_mtime<=self.mouse_time then				--mouse is still in use; countdown not yet reached
	
			love.mouse.setVisible(true)
			ix, iy=mouse_x,mouse_y
			if checkControl("_mouseLClick")=="pressed" then input=true end
		
		else love.mouse.setVisible(false) end
		
		if mouse_x==self.mouse_oldx and mouse_y==self.mouse_oldy then self.disable_mtime=self.disable_mtime+1000*dt			--mouse is not being used; start countdown
		else self.disable_mtime=0 end								--mouse is being used; reset countdown
		
	end
	
	if checkControl("up",true,self.controlling_player)=="pressed" then			--check if keyboard is being used
		
		self.current_selection=self.current_selection-1
		if self.current_selection<=0 then self.current_selection=table.getn2(self.allMenus[self.current_menu].buttons) end
		self.disable_mtime=self.mouse_time+1							--disable mouse

	elseif checkControl("down",true,self.controlling_player)=="pressed" then
	
		self.current_selection=self.current_selection+1
		if self.current_selection>=table.getn2(self.allMenus[self.current_menu].buttons)+1 then self.current_selection=1 end
		self.disable_mtime=self.mouse_time+1
		
	end
	if checkControl("enter",true,self.controlling_player)=="pressed" and ix==nil then input=true end
	
	self.old_menu=self.current_menu
	
	self.allMenus[self.current_menu]:update(input,self.current_selection,ix,iy)
	self.menuUpdates[self.current_menu](self,self.allMenus[self.current_menu])
	
	self.mouse_oldx, self.mouse_oldy=mouse_x,mouse_y

end,



exit= function (self,args)

	self.controlling_player=1
	self.current_menu=1
	self.allMenus=game.allMenus
	self.menuUpdates=game.menuUpdates
	self.menuDraws=game.menuDraws
	self.mouse_time=nil
	self.mouse_oldx=nil
	self.mouse_oldy=nil
	self.got_input=nil
	self.disable_mtime=nil
	self.current_selection=nil
	self.old_menu=nil				--used to reset current_selection if the menu has been changed
	self.mouse_enabled=nil

end
})