function ret()

	local class=entity_class:new({
	
		spritesheet=nil,
		script={
		create=create,
		update=update,
		collision=collide,
		draw=draw,
		destroy=destroy}
	
	})
	
	class:createCollisionRect(1,{createRectangle(0,0,15,23)})
	
	return class

end



function create(self)

	if self.movespeed==nil then self.movespeed=math.random(-300,300) end
	if self.movespeed<200 and self.movespeed>-200 then self.movespeed=0 end
	self.current_collision=1
	
end



function update(self,dt,axis)

	if axis=='X' then
		
		self.x=self.x+self.movespeed*dt
		if self.x>=game_width then self.x=0
		elseif self.x<=0 then self.x=game_width end
	
	else
	
		if self.y>=game_height then self.y=0
		elseif self.y<=0 then self.y=game_height end
		
	end

end



function collide(self,collision_data,axis)

	handleCollision(self,collision_data,axis)

end



function draw(self,layer)

	love.graphics.print("{" .. math.floor(self.x) .. ", " .. math.floor(self.y) .. "}",self.x-25,self.y-20)
	love.graphics.setLineStyle("rough")
	love.graphics.setColor(0,255,0,255)
	drawCollisionRect(self,self.current_collision,"fill")

end



function destroy(self,destroy_type)

	if destroy_type=="entity" then
	
		self.movespeed=nil
		
	end

end



return ret()